Package fr.gouv.vitam.common.database.builder.request.single

# Class RequestSingle

java.lang.Object
fr.gouv.vitam.common.database.builder.request.AbstractRequest
fr.gouv.vitam.common.database.builder.request.single.RequestSingle

Direct Known Subclasses:
  `Delete`, `Insert`, `Select`, `Update`

public abstract class RequestSingle extends AbstractRequest
Request for Single Mode Query

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Query`
  `query`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `filter, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestSingle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Action>`
  `getActions()`
  default implements of getActions
  `boolean`
  `getAllProjection()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getData()`
  `com.fasterxml.jackson.databind.node.ArrayNode`
  `getDatas()`
  `protected final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinal()`
  Get the json final of request
  `final int`
  `getNbQueries()`
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getProjection()`
  `List<Query>`
  `getQueries()`
  default implements of getQueries
  `final Query`
  `getQuery()`
  `Set<String>`
  `getRoots()`
  `RequestSingle`
  `reset()`
  `final RequestSingle`
  `resetQuery()`
  `final RequestSingle`
  `setQuery(Query query)`
  Set the query of request: in case of multi-query request: re-initialize list of query
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `addHintFilter, addHintFilter, getFilter, parseFilter, resetFilter, resetHintFilter, selectAddOrderByAscFilter, selectAddOrderByDescFilter, selectAddOrderByFilter, selectAddProjection, selectAddUnusedProjection, selectAddUsedProjection, selectGetAllProjection, selectGetFinalSelect, selectGetProjection, selectParseLimitFilter, selectParseOrderByFilter, selectParseProjection, selectReset, selectResetLimitFilter, selectResetOrderByFilter, selectResetUsedProjection, selectSetFilter, selectSetLimitFilter, selectSetLimitFilter, selectSetProjection, selectSetScrollFilter, setFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### query

    protected Query query

- ## Constructor Details

  - ### RequestSingle

    public RequestSingle()

- ## Method Details

  - ### resetQuery

    public final RequestSingle resetQuery()
    Returns:
      this Request

  - ### reset

    public RequestSingle reset()
    Overrides:
      `reset` in class `AbstractRequest`
    Returns:
      this Request

  - ### setQuery

    public final RequestSingle setQuery(Query query) throws InvalidCreateOperationException
    Description copied from class: `AbstractRequest`
    Set the query of request: in case of multi-query request: re-initialize list of query
    Specified by:
      `setQuery` in class `AbstractRequest`
    Parameters:
      `query` - of request
    Returns:
      this Request
    Throws:
      `InvalidCreateOperationException` - whern query is invalid

  - ### getFinal

    protected final com.fasterxml.jackson.databind.node.ObjectNode getFinal()
    Get the json final of request
    Specified by:
      `getFinal` in class `AbstractRequest`
    Returns:
      the Final json containing all 2 parts: query and filter

  - ### getQuery

    public final Query getQuery()
    Returns:
      the query

  - ### getNbQueries

    public final int getNbQueries()
    Specified by:
      `getNbQueries` in class `AbstractRequest`
    Returns:
      the number of queries

  - ### getQueries

    public List<Query> getQueries()
    default implements of getQueries
    Specified by:
      `getQueries` in class `AbstractRequest`
    Returns:
      the queries list

  - ### getRoots

    public Set<String> getRoots()
    Specified by:
      `getRoots` in class `AbstractRequest`
    Returns:
      the queries list

  - ### getData

    public com.fasterxml.jackson.databind.JsonNode getData()
    Specified by:
      `getData` in class `AbstractRequest`
    Returns:
      the data

  - ### getAllProjection

    public boolean getAllProjection()
    Specified by:
      `getAllProjection` in class `AbstractRequest`
    Returns:
      True if the projection is not restricted

  - ### getProjection

    public com.fasterxml.jackson.databind.node.ObjectNode getProjection()
    Specified by:
      `getProjection` in class `AbstractRequest`
    Returns:
      the projection

  - ### getActions

    public List<Action> getActions()
    default implements of getActions
    Specified by:
      `getActions` in class `AbstractRequest`
    Returns:
      list of actions

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractRequest`

  - ### getDatas

    public com.fasterxml.jackson.databind.node.ArrayNode getDatas()
    Returns:
      the multiple data to insert at once